pragma solidity ^0.8.0;

import "../dev/VRFCoordinatorV2.sol";

contract VRFCoordinatorV2TestHelper is VRFCoordinatorV2 {
    uint96 s_paymentAmount;
    uint256 s_gasStart;

    constructor(
      address link,
      address blockhashStore,
      address linkEthFeed
    )
        // solhint-disable-next-line no-empty-blocks
        VRFCoordinatorV2(link, blockhashStore, linkEthFeed) { /* empty */ }

    function calculatePaymentAmountTest(
        uint256 startGas,
        uint256 gasAfterPaymentCalculation,
        uint32  fulfillmentFlatFeeLinkPPM,
        uint256 weiPerUnitGas
    )
        external
    {
        s_gasStart = gasleft();
        s_paymentAmount = calculatePaymentAmount(startGas, gasAfterPaymentCalculation, fulfillmentFlatFeeLinkPPM, weiPerUnitGas);
    }

    function getPaymentAmount()
      view
      public
      returns(
        uint96
      )
    {
       return s_paymentAmount;
    }

    function getGasStart()
        view
        public
        returns(
            uint256
        )
    {
        return s_gasStart;
    }
}
